תוכן
\<bookmark_value\>GetGuiType function\</bookmark_value\>

# GetGuiType Function

Returns a numerical value that specifies the graphical user interface.

This function is only provided for downward compatibility to previous versions. The return value is not defined in client-server environments.

Wiser script instructions are available from Identifying the operating system help page.

• ScriptForge.Platform service provides a collection of properties about the current execution environment and context, that include platform detection.
• Extensive operating system name identification is available from INFO("system") Calc formula.

## Syntax:

             GetGUIType()

## Return value:

Integer

## Return values:

1: Windows

4: UNIX

## Example:

             Sub ExampleEnvironment
                 MsgBox GetGUIType
             End Sub